<! Required variables
   server
>
$$set help=/apps/web/docs/modules/isapi/index.html;
$$set _base=conf!web!servers!$$server;!modules!isapi;

<title>$$server; - ISAPI configuration</title>

$$set edittitle=ISAPI Configuration;
$$include /../header.asp;

ISAPI provides a vendor-independent way of extending the functionality
of your web server. It offers far more flexibility than the CGI
interface and avoids all the performance limitations.

<p>
With ISAPI, you have the choice to run filters and extensions as either 
"in-process" or "out-of-process".  "in-process" means that the module will run 
in the server process, while "out-of-process" means that the module
will run securely in an independent process from the server.
Because "in-process" ISAPI modules run in the same process space as the Zeus
server there could be some reliability/performance issues. As such, these 
should be seen as a platform to build high-performance applications with, and 
not entirely as a replacement for other alternatives such as "out-of-process" 
ISAPI or CGI.

<p>

ISAPI extensions will only be run from designated ISAPI alias
directories defined by the map module.

<p><hr size=1 width=80%>

<dl>
<dt><font size=+1><b>Registered in-process Filters</b></font>
<dd>

$$if filters=yes;
<! there are some filters >
  <form action="/apps/admin/regupdate.cgi" method=post>
  <input type=hidden name=_base value="$$_base;">

  <table border=5>
    <tr>
      <td bgcolor=#aaaaaa><b>Filename</b></td>
    </tr>
    $$for i in filters;
    <tr>
      <td bgcolor=#cccccc>$$i;</td>
      <td><input type=submit name="filters!_del_$$i;" value=Delete></td>
    </tr>
    $$next;
  </table>
</form>

$$else;
<! there aren't any filters >
No in-process filters are currently installed.
$$endif;
</dl>

<dl>
<dt><font size=+1><b>Registered out-of-process Filters</b></font>
<dd>

$$if efilters=yes;
<! there are some filters >
  <form action="/apps/admin/regupdate.cgi" method=post>
  <input type=hidden name=_base value="$$_base;">

  <table border=5>
    <tr>
      <td bgcolor=#aaaaaa><b>Filename</b></td>
    </tr>
    $$for i in efilters;
    <tr>
      <td bgcolor=#cccccc>$$i;</td>
      <td><input type=submit name="efilters!_del_$$i;" value=Delete></td>
    </tr>
    $$next;
  </table>
</form>

$$else;
<! there aren't any filters >
No out-of-process filters are currently installed.
$$endif;
</dl>

<p><dt><hr size=1 width=80%>
<p><dt><font size=+1><b>Add in-process Filter</b></font>
<dd>

<form action="/apps/admin/regupdate.cgi" method=post>
<input type=hidden name=_base value="$$_base;">

Filename: <input type=text size=30 value="" name="filters!_addbr_text_id1">
<input type=hidden name=id1 value="">
<input type=submit value=Add>
</form>

<p><dt><hr size=1 width=80%>
<p><dt><font size=+1><b>Add out-of-process Filter</b></font>
<dd>

<form action="/apps/admin/regupdate.cgi" method=post>
<input type=hidden name=_base value="$$_base;">

Filename: <input type=text size=30 value="" name="efilters!_addbr_text_id1">
<input type=hidden name=id1 value="">
<input type=submit value=Add>
</form>

</dl>

<p><dt><hr size=1 width=80%>
<p><dt><b><font size=+1>
Please choose if you would like to have extensions to run as in-process modules,
or as out-of-process.
</b></font>
<p>

<form action="/apps/admin/regupdate.cgi" method=post>
<input type=hidden name=_base value="$$_base;">

<input type=radio value=no name=_add_boolean_runeextensions
 $$if runeextensions=no; checked=yes; $$endif; > Run extensions in-process
<br>
<input type=radio value=yes name=_add_boolean_runeextensions
 $$if runeextensions=yes; checked=yes; $$endif; > Run extensions out-of-process
<br>
<input type=submit value=Update>
</form>

</dl>


$$include /../footer.asp;
