<%
# Starts/stops a website on all running webservers
#
# Fields required
#   website
#   action  (start|stop|restart)

zap::getrequest { website action }

set website $asp::input(website)
set action  $asp::input(action)
set Action  "Start"
if { $action == "stop" }    { set Action "Stop" }
if { $action == "restart" } { set Action "Restart" }

set response ""
if [ catch {
set response [exec "$request::env(ZEUSHOME)/webadmin/bin/webctl" --action=$action --vs=$website --quiet --html]
} responseerr ] {
    # TCL interpreter adds a "child process exited abnormally" line,
    # we must remove it
    set datalines [split $responseerr "\n"]
    set numlines  [llength $datalines]
    set last      [expr "$numlines - 2"]
    set response  [join [lrange $datalines 0 $last]]
}

# If there is a referer send them back to that, otherwise send them
# to the first page for the traffic light page.
#
# If there was a 'view' parameter in the URL, return to the main index
# of virtual servers, displaying the named site

if { [info exists asp::input(view)] } {
    set back "/apps/web/index.cgi?view=$website"
} else {
    set back "/apps/web"
    catch { set back $request::env(HTTP_REFERER) }
}

if { $response == "" } {
    # Nothing useful to say, lets redirect straight away
    asp::redirect $back
}

%>

<html>
<head><title><% asp::write "$Action website $website" %></title></head>
<body bgcolor=#ffffff>
   <h1><% 
        if { $Action == "Stop" } { asp::write "Stopp" 
        } else { asp::write "$Action" }
       %>ing website <%= $website %></h1>
   <%= $response %>
<p>
<a href="<%= $back %>">Back to controller</a>
</body>
</html>
